PaintEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class PaintEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ComponentEvent
                  java.awt.event.PaintEvent

All Implemented Interfaces:
  Serializable

    public class PaintEvent

extends ComponentEvent

The component-level paint event. This event is a special type which is used to ensure that paint/update method calls are serialized along with the other events delivered from the event queue. This event is not designed to be used with the Event Listener model; programs should continue to override paint/update methods in order render themselves properly.

Since:
  1.1
Version:
  1.18, 01/23/03
Author:
  Amy Fowler
See Also:
  Serialized Form

Field Summary
`static int` | `PAINT` The paint event type.
`static int` | `PAINT_FIRST` Marks the first integer id for the range of paint event ids.
`static int` | `PAINT_LAST` Marks the last integer id for the range of paint event ids.
`static int` | `UPDATE` The update event type.

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK`

Constructor Summary
`PaintEvent(Component source, int id, Rectangle updateRect)` Constructs a `PaintEvent` object with the specified source component and type.

Method Summary
`Rectangle` | `getUpdateRect()` Returns the rectangle representing the area which needs to be repainted in response to this event.
`String` | `paramString()` Returns a parameter string identifying this event.
`void` | `setUpdateRect(Rectangle updateRect)` Sets the rectangle representing the area which needs to be repainted in response to this event.

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PAINT_FIRST

    public static final int PAINT_FIRST

  Marks the first integer id for the range of paint event ids.

  See Also:
    Constant Field Values

### PAINT_LAST

    public static final int PAINT_LAST

  Marks the last integer id for the range of paint event ids.

  See Also:
    Constant Field Values

### PAINT

    public static final int PAINT

  The paint event type.

  See Also:
    Constant Field Values

### UPDATE

    public static final int UPDATE

  The update event type.

  See Also:
    Constant Field Values

Constructor Detail

### PaintEvent

    public PaintEvent(Component source,
                      int id,
                      Rectangle updateRect)

  Constructs a `PaintEvent` object with the specified source component and type.

  Note that passing in an invalid `id` results in unspecified behavior.

  Parameters:
    `source` - the object where the event originated
    `id` - the event type
    `updateRect` - the rectangle area which needs to be repainted

Method Detail

### getUpdateRect

    public Rectangle getUpdateRect()

  Returns the rectangle representing the area which needs to be repainted in response to this event.

### setUpdateRect

    public void setUpdateRect(Rectangle updateRect)

  Sets the rectangle representing the area which needs to be repainted in response to this event.

  Parameters:
    `updateRect` - the rectangle area which needs to be repainted

### paramString

    public String paramString()

  Description copied from class: `ComponentEvent`
  Returns a parameter string identifying this event. This method is useful for event-logging and for debugging.

  Overrides:
    `paramString` in class `ComponentEvent`
  Returns:
    a string identifying the event and its attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD